github_url = "https://gitlab.com/softbutterfly/open-source/wagtail-sb-fontawesome/"

[version]
current = "0.3.0"

# Example of a semver regexp.
# Make sure this matches current_version before
# using tbump
regex = '''
  (?P<major>\d+)
  \.
  (?P<minor>\d+)
  \.
  (?P<patch>\d+)
  (
    -
    (?P<channel>alpha|beta|rc)
    (?P<release>\d+)
  )?
'''

[git]
message_template = "Bump to {new_version}"
tag_template = "v{new_version}"

[[file]]
src = 'pyproject.toml'
search = 'version = "{current_version}"'

[[file]]
src = 'pyproject.toml'
search = 'v{current_version}'

[[before_commit]]
name = "Update changelog"
cmd = "sed -z \"s/## \\[Unreleased\\]/## [Unreleased]\\n\\n## [{new_version}] - $(date '+%Y-%m-%d')/g\" -i CHANGELOG.md"

[[before_commit]]
name = "Update version.py"
cmd = "echo $(echo \"{new_version}\" | sed -r 's/([0-9]+)\\.([0-9]+)\\.([0-9]+)/VERSION = (\\1, \\2, \\3)/g') > src/wagtail_sb_fontawesome/version.py"

[[after_push]]
name = "Build package"
cmd = "poetry build"

[[after_push]]
name = "Publish to PyPI"
cmd = "poetry publish"
